# $Header: /home/hiro/projects/dvr2/RCS/epgrec.mk,v 1.6 2012/07/13 23:01:22 hiro Exp $
#
#	== Project DVR2 ==
#
#	Makefile fragment for EPGREC
#
#	Copyright (c) 2011,2012 Hiro Sugawara
#

EPGREC-VERSION	= 20100322

#
# epgrec
#
#	http://www.mda.or.jp/epgrec/index.php
#
EPGREC:
EPGREC-CLEAN:
EPGREC-CONFIGURE:
EPGREC-SWEEP:

HTML-DIR := /var/www/html
EPGREC-TDIR	:= $(HTML-DIR)/epgrec
EPGREC-DIR	:= $(CWD)/epgrec

EPGREC-INSTALL:
	mkdir -p $(LINUX-INSTALL)$(HTML-DIR)
	rsync -avz --exclude=RCS --exclude='cron.d/*' --exclude='.*.swp'	\
		epgrec $(LINUX-INSTALL)$(HTML-DIR)
	find $(LINUX-INSTALL)$(EPGREC-TDIR) -type d -exec chmod 755 {} \;
	find $(LINUX-INSTALL)$(EPGREC-TDIR) -type f	\
		-maxdepth 1 -exec chmod 644 {} \;
	cd $(LINUX-INSTALL)$(EPGREC-TDIR) &&	\
		chmod 777 cache/ settings/ templates_c/ thumbs/ video/;	\
		chmod 755 do-record.sh.* gen-thumbnail.sh;	\
	for php in `find $(LINUX-INSTALL)$(EPGREC-TDIR) -name '*.php'`;	\
	do	\
		if head -1 $$php | grep -q '^#!';	\
		then	\
			chmod 755 $$php;	\
		fi;	\
	done;	\

#
# Downloader
#
EPGREC-DOWNLOAD:		WGET-EPGREC
WGET-EPGREC:
	wget 'http://sourceforge.jp/frs/redir.php?m=jaist&f=%2Fepgrec%2F46492%2Fepgrec-$(EPGREC-VERSION).tar.gz'
	tar -xzvf epgrec-$(EPGREC-VERSION).tar.gz

#
# Distribution
#
DIST-PATCH	+=	\
	$(EPGREC-DIR)/Keyword.class.php	\
	$(EPGREC-DIR)/Reservation.class.php	\
	$(EPGREC-DIR)/do-record.sh.pt1	\
	$(EPGREC-DIR)/index.php	\
	$(EPGREC-DIR)/recLog.inc.php	\
	$(EPGREC-DIR)/js/mdabasic.js	\
	$(EPGREC-DIR)/templates/index.html

DIST-FILES	+= $(CWD)/epgrec.mk
